Subject: RE: [Sipping] Expert review of draft-ejzak-sipping-p-em-auth-00.txt

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Thu, 20 Apr 2006 10:04:16 -0400

This seems to suggest that the SDP will need to be replicated inside the
header to select which media lines are authorized or not.

You make a distinction by type of media.  Does this also apply to
multiples of the same media type, i.e., if there are more than on audio
or video, selecting which audio is allowed and which audio is not?

Mike

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]] 
> Sent: Thursday, April 20, 2006 8:56 AM
> To: Ejzak, Richard P (Richard)
> Cc: Cullen Jennings (fluffy); Jon Peterson; Paul Kyzivat 
> (pkyzivat); Dave Oran (oran); Mary Barnes; sipping; Aki Niemi
> Subject: Re: [Sipping] Expert review of 
> draft-ejzak-sipping-p-em-auth-00.txt
> 
> Hi,
> 
> some comments on the draft under discussion.
> 
> RFC 3960 points out a few issues related to forking and early media. 
> This draft should address them. For example, it should 
> explain how user agents are supposed to correlate a 
> particular SIP early dialog with its media packets. That is, 
> how to distinguish between the early media sent by two remote 
> UASs and how to associate it with their respective SIP dialogs.
> 
> Regarding which entity is authorized to send backward early 
> media or receive forward early media, this does not seem like 
> a per dialog issue; it seems more a per media stream issue. 
> For example, if I have two media streams (audio and video), 
> the IVR in the network may be authorized to send me backward 
> early media (audio), but the UAS is not authorized to send me 
> anything. However, since both media streams (audio and video) 
> were established with the same SIP early dialog, the 
> P-Early-Media header field cannot provide this granularity. 
> So, if early media is authorized for this early dialog, the 
> UAS will be able to send video... 
> the draft should discuss the granularity the solution should provide.
> 
> With respect to the policies the draft talks about, I do not 
> think it is necessary to spell them out. It would be better 
> if the draft only talked about early media that is authorized 
> or unauthorized, and the mechanism to achieve that 
> distinction. Which types of early media a domain may want or 
> may not want to authorize (e.g., media from PSTN gateways vs. 
> media from UASs) can be left outside the scope of the draft.
> 
> Cheers,
> 
> Gonzalo
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP